From 046bc5a0cd91d575fa7b292bd6985d96aea4d25a Mon Sep 17 00:00:00 2001
From: Adam Young <ayoung@redhat.com>
Date: Thu, 10 Nov 2011 22:12:52 -0500
Subject: [PATCH 17/17] call statics statically

https://bugzilla.redhat.com/show_bug.cgi?id=728303
---
 pki/base/ca/src/com/netscape/ca/CAService.java     |   10 ++--
 .../ca/src/com/netscape/ca/CRLIssuingPoint.java    |    8 ++--
 .../src/com/netscape/ca/CertificateAuthority.java  |    2 +-
 .../common/src/com/netscape/certsrv/apps/CMS.java  |    4 +-
 .../netscape/cms/jobs/RenewalNotificationJob.java  |    6 +-
 .../src/com/netscape/cms/logging/LogFile.java      |    6 +-
 .../netscape/cms/servlet/admin/CAAdminServlet.java |   50 +++++++++---------
 .../cms/servlet/admin/OCSPAdminServlet.java        |    4 +-
 .../netscape/cms/servlet/admin/RAAdminServlet.java |   24 +++++-----
 .../netscape/cms/servlet/cert/GetEnableStatus.java |    2 +-
 .../src/com/netscape/cms/servlet/cert/GetInfo.java |    8 ++--
 .../com/netscape/cms/servlet/cert/UpdateCRL.java   |    2 +-
 .../cms/servlet/cert/scep/CRSEnrollment.java       |   52 ++++++++++----------
 .../netscape/cms/servlet/key/RecoverBySerial.java  |    2 +-
 .../com/netscape/cms/servlet/ocsp/OCSPServlet.java |    3 +-
 .../servlet/profile/ProfileSubmitCMCServlet.java   |    2 +-
 .../cms/servlet/profile/ProfileSubmitServlet.java  |    2 +-
 .../src/com/netscape/cmscore/apps/CMSEngine.java   |    2 +-
 .../com/netscape/cmscore/apps/CommandQueue.java    |    2 +-
 .../cmscore/base/JDialogPasswordCallback.java      |   44 ++++++++--------
 .../com/netscape/cmscore/jobs/JobsScheduler.java   |   10 ++--
 .../cmscore/ldapconn/LdapJssSSLSocketFactory.java  |    3 +-
 .../netscape/cmscore/util/ProfileSubsystem.java    |    9 ++-
 pki/base/silent/src/ca/ConfigureCA.java            |    4 +-
 pki/base/silent/src/common/CMSTask.java            |    2 +-
 pki/base/silent/src/drm/ConfigureDRM.java          |    4 +-
 pki/base/silent/src/http/HTTPClient.java           |    6 +-
 pki/base/silent/src/ocsp/ConfigureOCSP.java        |    4 +-
 pki/base/silent/src/ra/ConfigureRA.java            |    4 +-
 pki/base/silent/src/subca/ConfigureSubCA.java      |    4 +-
 pki/base/silent/src/tks/ConfigureTKS.java          |    4 +-
 pki/base/silent/src/tps/ConfigureTPS.java          |    4 +-
 .../com/netscape/cmsutil/crypto/CryptoUtil.java    |    2 +-
 .../netscape/cmsutil/http/JssSSLSocketFactory.java |    3 +-
 .../security/extensions/GenericASN1Extension.java  |    2 +-
 .../util/src/netscape/security/pkcs/PKCS8Key.java  |    4 +-
 .../security/x509/CRLDistributionPoint.java        |    6 +-
 .../x509/IssuingDistributionPointExtension.java    |    6 +-
 38 files changed, 161 insertions(+), 155 deletions(-)

diff --git a/pki/base/ca/src/com/netscape/ca/CAService.java b/pki/base/ca/src/com/netscape/ca/CAService.java
index 9297d421c5b9227ab496ad0aeeb80d0fba43d6cb..159539d453b78c9a89a3a3cc571f743459b95f17 100644
--- a/pki/base/ca/src/com/netscape/ca/CAService.java
+++ b/pki/base/ca/src/com/netscape/ca/CAService.java
@@ -1422,7 +1422,7 @@ class serviceRenewal implements IServant {
 
                 if (metaInfo != null) {
                     String renewed = (String)
-                        metaInfo.get(certRecord.META_RENEWED_CERT);
+                        metaInfo.get(ICertRecord.META_RENEWED_CERT);
 
                     if (renewed != null) {
                         BigInteger serial = new BigInteger(renewed);
@@ -1891,7 +1891,7 @@ class serviceGetCRL implements IServant {
         throws EBaseException {
         try {
             ICRLIssuingPointRecord crlRec = 
-                (ICRLIssuingPointRecord) mCA.getCRLRepository().readCRLIssuingPointRecord(mCA.PROP_MASTER_CRL);
+                (ICRLIssuingPointRecord) mCA.getCRLRepository().readCRLIssuingPointRecord(ICertificateAuthority.PROP_MASTER_CRL);
             X509CRLImpl crl = new X509CRLImpl(crlRec.getCRL());
 
             request.setExtData(IRequest.CRL, crl.getEncoded());
@@ -1900,14 +1900,14 @@ class serviceGetCRL implements IServant {
             throw new ECAException(
                     CMS.getUserMessage("CMS_CA_CRL_ISSUEPT_NOT_FOUND", e.toString()));
         } catch (CRLException e) {
-            mCA.log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_CA_GETCRL_INST_CRL", mCA.PROP_MASTER_CRL));
+            mCA.log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_CA_GETCRL_INST_CRL", ICertificateAuthority.PROP_MASTER_CRL));
             throw new ECAException(
-                    CMS.getUserMessage("CMS_CA_CRL_ISSUEPT_NOGOOD", mCA.PROP_MASTER_CRL));
+                    CMS.getUserMessage("CMS_CA_CRL_ISSUEPT_NOGOOD", ICertificateAuthority.PROP_MASTER_CRL));
         } catch (X509ExtensionException e) {
             mCA.log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_CA_GETCRL_NO_ISSUING_REC"));
             throw new ECAException(
                     CMS.getUserMessage("CMS_CA_CRL_ISSUEPT_EXT_NOGOOD",
-                    mCA.PROP_MASTER_CRL));
+                    ICertificateAuthority.PROP_MASTER_CRL));
         }
         return true;
     }
diff --git a/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java b/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
index ada787bee0eab0b58e43d61d2f6954e2a13168ce..8887b4b7ffbc57738bcf5e971f6695f25fdee3a3 100644
--- a/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
+++ b/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
@@ -449,8 +449,8 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
 
         mConfigStore = config;
 
-        IConfigStore crlSubStore = mCA.getConfigStore().getSubStore(mCA.PROP_CRL_SUBSTORE);
-        mPageSize = crlSubStore.getInteger(mCA.PROP_CRL_PAGE_SIZE, CRL_PAGE_SIZE);
+        IConfigStore crlSubStore = mCA.getConfigStore().getSubStore(ICertificateAuthority.PROP_CRL_SUBSTORE);
+        mPageSize = crlSubStore.getInteger(ICertificateAuthority.PROP_CRL_PAGE_SIZE, CRL_PAGE_SIZE);
         CMS.debug("CRL Page Size: "+ mPageSize);
 
         mCountMod = config.getInteger("countMod",0);
@@ -1148,10 +1148,10 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
                         if(onlyContainsCACerts != mCACertsOnly) {
                             IConfigStore config = mCA.getConfigStore();
                             IConfigStore crlsSubStore =
-                               config.getSubStore(mCA.PROP_CRL_SUBSTORE);
+                               config.getSubStore(ICertificateAuthority.PROP_CRL_SUBSTORE);
                             IConfigStore crlSubStore = crlsSubStore.getSubStore(mId);
                             IConfigStore crlExtsSubStore =
-                                crlSubStore.getSubStore(mCA.PROP_CRLEXT_SUBSTORE);
+                                crlSubStore.getSubStore(ICertificateAuthority.PROP_CRLEXT_SUBSTORE);
                             crlExtsSubStore = crlExtsSubStore.getSubStore(IssuingDistributionPointExtension.NAME);
 
                             if(crlExtsSubStore != null) {
diff --git a/pki/base/ca/src/com/netscape/ca/CertificateAuthority.java b/pki/base/ca/src/com/netscape/ca/CertificateAuthority.java
index d8130b02239b83d9b3c423de1b7ccbb3093cf2e4..5353b019ec54954df0fe60f84f26407f4293984c 100644
--- a/pki/base/ca/src/com/netscape/ca/CertificateAuthority.java
+++ b/pki/base/ca/src/com/netscape/ca/CertificateAuthority.java
@@ -491,7 +491,7 @@ public class CertificateAuthority implements ICertificateAuthority, ICertAuthori
      * check if the ca is a clone.
      */
     public boolean isClone() {
-        if (mService.mCLAConnector != null)
+        if (CAService.mCLAConnector != null)
             return true;
         else
             return false;
diff --git a/pki/base/common/src/com/netscape/certsrv/apps/CMS.java b/pki/base/common/src/com/netscape/certsrv/apps/CMS.java
index 8136c0b39816d47fd243e161b18a735bb5ad78b5..137a609f1a305723d9ebb1bb7277c629ab99ccae 100644
--- a/pki/base/common/src/com/netscape/certsrv/apps/CMS.java
+++ b/pki/base/common/src/com/netscape/certsrv/apps/CMS.java
@@ -1563,8 +1563,8 @@ public final class CMS {
 
             cms = new CMS(engine);
             IConfigStore mainConfig = createFileConfigStore(path);
-            cms.init(null, mainConfig);
-            cms.startup();
+            CMS.init(null, mainConfig);
+            CMS.startup();
 
         } catch (EBaseException e) { // catch everything here purposely
             CMS.debug("CMS:Caught EBaseException");
diff --git a/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java b/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
index 0445ea4b73b45840aeadf5ceb45c58dcf27d5f0f..4296b1908952ffa7850b64fde4a4d75558e86050 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
@@ -631,7 +631,7 @@ class CertRecProcessor implements IElementProcessor {
                 numFailCounted = true;
                 if (mJob.mSummary == true)
                     mJob.buildItemParams(IEmailFormProcessor.TOKEN_STATUS,
-                        mJob.STATUS_FAILURE);
+                        AJobBase.STATUS_FAILURE);
                 mJob.log(ILogger.LL_FAILURE,					
                     CMS.getLogMessage("JOBS_GET_CERT_ERROR",
                         cr.getCertificate().getSerialNumber().toString(16)));
@@ -672,13 +672,13 @@ class CertRecProcessor implements IElementProcessor {
                 cr);
 						
             mJob.buildItemParams(IEmailFormProcessor.TOKEN_STATUS,
-                mJob.STATUS_SUCCESS);
+                AJobBase.STATUS_SUCCESS);
 						
             mIC.mNumSuccessful++;
 						
         } catch (Exception e) {
             CMS.debug("RenewalNotificationJob Exception: "+e.toString());
-            mJob.buildItemParams(IEmailFormProcessor.TOKEN_STATUS, mJob.STATUS_FAILURE);
+            mJob.buildItemParams(IEmailFormProcessor.TOKEN_STATUS, AJobBase.STATUS_FAILURE);
             mJob.log(ILogger.LL_FAILURE, e.toString(), ILogger.L_MULTILINE);
             if (numFailCounted == false) {
                 mIC.mNumFail++;
diff --git a/pki/base/common/src/com/netscape/cms/logging/LogFile.java b/pki/base/common/src/com/netscape/cms/logging/LogFile.java
index b3adeb991180262ad26846226b79525ba97330ef..a62613f7352969b3ada00eb46e0deb1f9ef132d2 100644
--- a/pki/base/common/src/com/netscape/cms/logging/LogFile.java
+++ b/pki/base/common/src/com/netscape/cms/logging/LogFile.java
@@ -674,7 +674,7 @@ public class LogFile implements ILogEventListener, IExtendedPluginInfo {
      */
     public String getOn() {
         String logStatus = null;
-        return logStatus.valueOf( mOn );
+        return String.valueOf( mOn );
     }
 
     /**
@@ -1407,7 +1407,7 @@ public class LogFile implements ILogEventListener, IExtendedPluginInfo {
                 v.addElement(PROP_TYPE + "=" +
                     mConfig.getString(PROP_TYPE));
             }
-            v.addElement(PROP_ON + "=" + logStatus.valueOf( mOn ) );
+            v.addElement(PROP_ON + "=" + String.valueOf( mOn ) );
             if (mLevel == 0)
                 v.addElement(PROP_LEVEL + "=" + ILogger.LL_DEBUG_STRING);
             else if (mLevel == 1)
@@ -1436,7 +1436,7 @@ public class LogFile implements ILogEventListener, IExtendedPluginInfo {
                 String logSigning = null;
 
                 v.addElement( PROP_SIGNED_AUDIT_LOG_SIGNING + "="
-                            + logSigning.valueOf( mLogSigning ) );
+                            + String.valueOf( mLogSigning ) );
 
                 if( mSAuditCertNickName == null ) {
                     v.addElement( PROP_SIGNED_AUDIT_CERT_NICKNAME + "=" );
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
index d70d9e7914f180592af48d9e94e27bdb2815b1e4..108fd2baa372756bd1dc2ab74e2f982168245126 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
@@ -254,8 +254,8 @@ public class CAAdminServlet extends AdminServlet {
         
         IConfigStore config = mCA.getConfigStore();
         IConfigStore nc =
-            config.getSubStore(mCA.PROP_NOTIFY_SUBSTORE);
-        IConfigStore rc = nc.getSubStore(mCA.PROP_CERT_REVOKED_SUBSTORE);
+            config.getSubStore(ICertificateAuthority.PROP_NOTIFY_SUBSTORE);
+        IConfigStore rc = nc.getSubStore(ICertificateAuthority.PROP_CERT_REVOKED_SUBSTORE);
         
         getNotificationCompConfig(req, resp, rc);
     }
@@ -266,8 +266,8 @@ public class CAAdminServlet extends AdminServlet {
         
         IConfigStore config = mCA.getConfigStore();
         IConfigStore nc =
-            config.getSubStore(mCA.PROP_NOTIFY_SUBSTORE);
-        IConfigStore rc = nc.getSubStore(mCA.PROP_CERT_ISSUED_SUBSTORE);
+            config.getSubStore(ICertificateAuthority.PROP_NOTIFY_SUBSTORE);
+        IConfigStore rc = nc.getSubStore(ICertificateAuthority.PROP_CERT_ISSUED_SUBSTORE);
         
         getNotificationCompConfig(req, resp, rc);
     }
@@ -283,9 +283,9 @@ public class CAAdminServlet extends AdminServlet {
 
         IConfigStore config = mCA.getConfigStore();
         IConfigStore nc =
-            config.getSubStore(mCA.PROP_NOTIFY_SUBSTORE);
+            config.getSubStore(ICertificateAuthority.PROP_NOTIFY_SUBSTORE);
 
-        IConfigStore riq = nc.getSubStore(mCA.PROP_REQ_IN_Q_SUBSTORE);
+        IConfigStore riq = nc.getSubStore(ICertificateAuthority.PROP_REQ_IN_Q_SUBSTORE);
 
         Enumeration e = req.getParameterNames();
 
@@ -316,9 +316,9 @@ public class CAAdminServlet extends AdminServlet {
             IOException, EBaseException {
         IConfigStore config = mCA.getConfigStore();
         IConfigStore nc =
-            config.getSubStore(mCA.PROP_NOTIFY_SUBSTORE);
+            config.getSubStore(ICertificateAuthority.PROP_NOTIFY_SUBSTORE);
 
-        IConfigStore riq = nc.getSubStore(mCA.PROP_REQ_IN_Q_SUBSTORE);
+        IConfigStore riq = nc.getSubStore(ICertificateAuthority.PROP_REQ_IN_Q_SUBSTORE);
 
         //set rest of the parameters
         Enumeration e = req.getParameterNames();
@@ -428,9 +428,9 @@ public class CAAdminServlet extends AdminServlet {
             IOException, EBaseException {
         IConfigStore config = mCA.getConfigStore();
         IConfigStore nc =
-            config.getSubStore(mCA.PROP_NOTIFY_SUBSTORE);
+            config.getSubStore(ICertificateAuthority.PROP_NOTIFY_SUBSTORE);
 
-        IConfigStore rc = nc.getSubStore(mCA.PROP_CERT_REVOKED_SUBSTORE);  
+        IConfigStore rc = nc.getSubStore(ICertificateAuthority.PROP_CERT_REVOKED_SUBSTORE);  
 
         setNotificationCompConfig(req, resp, rc, mCA.getCertRevokedListener());
     }            
@@ -440,9 +440,9 @@ public class CAAdminServlet extends AdminServlet {
             IOException, EBaseException {
         IConfigStore config = mCA.getConfigStore();
         IConfigStore nc =
-            config.getSubStore(mCA.PROP_NOTIFY_SUBSTORE);
+            config.getSubStore(ICertificateAuthority.PROP_NOTIFY_SUBSTORE);
 
-        IConfigStore rc = nc.getSubStore(mCA.PROP_CERT_ISSUED_SUBSTORE);
+        IConfigStore rc = nc.getSubStore(ICertificateAuthority.PROP_CERT_ISSUED_SUBSTORE);
 
         setNotificationCompConfig(req, resp, rc, mCA.getCertIssuedListener());
 
@@ -581,7 +581,7 @@ public class CAAdminServlet extends AdminServlet {
             }
 
             IConfigStore crlSubStore =
-                mCA.getConfigStore().getSubStore(mCA.PROP_CRL_SUBSTORE);
+                mCA.getConfigStore().getSubStore(ICertificateAuthority.PROP_CRL_SUBSTORE);
             Enumeration crlNames = crlSubStore.getSubStoreNames();
 
             while (crlNames.hasMoreElements()) {
@@ -736,7 +736,7 @@ public class CAAdminServlet extends AdminServlet {
             }
 
             IConfigStore crlSubStore =
-                mCA.getConfigStore().getSubStore(mCA.PROP_CRL_SUBSTORE);
+                mCA.getConfigStore().getSubStore(ICertificateAuthority.PROP_CRL_SUBSTORE);
             boolean done = false;
             Enumeration crlNames = crlSubStore.getSubStoreNames();
 
@@ -854,7 +854,7 @@ public class CAAdminServlet extends AdminServlet {
 
             if (id != null && id.length() > 0) {
                 IConfigStore crlSubStore =
-                    mCA.getConfigStore().getSubStore(mCA.PROP_CRL_SUBSTORE);
+                    mCA.getConfigStore().getSubStore(ICertificateAuthority.PROP_CRL_SUBSTORE);
                 boolean done = false;
                 Enumeration crlNames = crlSubStore.getSubStoreNames();
 
@@ -1002,10 +1002,10 @@ public class CAAdminServlet extends AdminServlet {
 
             IConfigStore config = mCA.getConfigStore();
             IConfigStore crlsSubStore =
-                config.getSubStore(mCA.PROP_CRL_SUBSTORE);
+                config.getSubStore(ICertificateAuthority.PROP_CRL_SUBSTORE);
             IConfigStore crlSubStore = crlsSubStore.getSubStore(ipId);
             IConfigStore crlExtsSubStore =
-                crlSubStore.getSubStore(mCA.PROP_CRLEXT_SUBSTORE);
+                crlSubStore.getSubStore(ICertificateAuthority.PROP_CRLEXT_SUBSTORE);
 
             String id = req.getParameter(Constants.RS_ID);
 
@@ -1094,13 +1094,13 @@ public class CAAdminServlet extends AdminServlet {
         String id = req.getParameter(Constants.PR_ID);
 
         if (id == null || id.length() <= 0) {
-            id = mCA.PROP_MASTER_CRL;
+            id = ICertificateAuthority.PROP_MASTER_CRL;
         }
 
         IConfigStore config = mCA.getConfigStore();
-        IConfigStore crlsSubStore = config.getSubStore(mCA.PROP_CRL_SUBSTORE);
+        IConfigStore crlsSubStore = config.getSubStore(ICertificateAuthority.PROP_CRL_SUBSTORE);
         IConfigStore crlSubStore = crlsSubStore.getSubStore(id);
-        IConfigStore crlExtsSubStore = crlSubStore.getSubStore(mCA.PROP_CRLEXT_SUBSTORE);
+        IConfigStore crlExtsSubStore = crlSubStore.getSubStore(ICertificateAuthority.PROP_CRLEXT_SUBSTORE);
 
         if (crlExtsSubStore != null) {
             Enumeration enumExts = crlExtsSubStore.getSubStoreNames();
@@ -1211,13 +1211,13 @@ public class CAAdminServlet extends AdminServlet {
 
             if (id == null || id.length() <= 0 ||
                 id.equals(Constants.RS_ID_CONFIG)) {
-                id = mCA.PROP_MASTER_CRL;
+                id = ICertificateAuthority.PROP_MASTER_CRL;
             }
             ICRLIssuingPoint ip = mCA.getCRLIssuingPoint(id);
 
             //Save New Settings to the config file
             IConfigStore config = mCA.getConfigStore();
-            IConfigStore crlsSubStore = config.getSubStore(mCA.PROP_CRL_SUBSTORE);
+            IConfigStore crlsSubStore = config.getSubStore(ICertificateAuthority.PROP_CRL_SUBSTORE);
             IConfigStore crlSubStore = crlsSubStore.getSubStore(id);
 
             //set reset of the parameters
@@ -1305,10 +1305,10 @@ public class CAAdminServlet extends AdminServlet {
 
         if (id == null || id.length() <= 0 ||
             id.equals(Constants.RS_ID_CONFIG)) {
-            id = mCA.PROP_MASTER_CRL;
+            id = ICertificateAuthority.PROP_MASTER_CRL;
         }
         IConfigStore crlsSubStore =
-            mCA.getConfigStore().getSubStore(mCA.PROP_CRL_SUBSTORE);
+            mCA.getConfigStore().getSubStore(ICertificateAuthority.PROP_CRL_SUBSTORE);
         IConfigStore crlSubStore = crlsSubStore.getSubStore(id);
 
         Enumeration e = req.getParameterNames();
@@ -1474,7 +1474,7 @@ public class CAAdminServlet extends AdminServlet {
 
         IConfigStore caConfig = mCA.getConfigStore();
 
-        value = caConfig.getString(mCA.PROP_ENABLE_PAST_CATIME, "false");
+        value = caConfig.getString(ICertificateAuthority.PROP_ENABLE_PAST_CATIME, "false");
         params.add(Constants.PR_VALIDITY, value);
 
         getSigningAlgConfig(params);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
index 47d66c4f0747d4e95f4547736b48b3b8ddac4763..02f824c891a934e9ad3b8696d96c1c77eba710f4 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/OCSPAdminServlet.java
@@ -417,8 +417,8 @@ public class OCSPAdminServlet extends AdminServlet {
         throws ServletException, IOException, EBaseException {
         NameValuePairs params = new NameValuePairs();
         IConfigStore config = mOCSP.getConfigStore();
-        String defStore = config.getString(mOCSP.PROP_DEF_STORE_ID);
-        IConfigStore SubStore = config.getSubStore(mOCSP.PROP_STORE);
+        String defStore = config.getString(IOCSPAuthority.PROP_DEF_STORE_ID);
+        IConfigStore SubStore = config.getSubStore(IOCSPAuthority.PROP_STORE);
         Enumeration enumStores = SubStore.getSubStoreNames();
 
         while (enumStores.hasMoreElements()) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/RAAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/RAAdminServlet.java
index eecd23abc31f3e26174d8bb5a459a3fe9c4de446..99649261fcee41525ac33cefd2302665b476b099 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/RAAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/RAAdminServlet.java
@@ -210,9 +210,9 @@ public class RAAdminServlet extends AdminServlet {
 
         IConfigStore config = mRA.getConfigStore();
         IConfigStore nc =
-            config.getSubStore(mRA.PROP_NOTIFY_SUBSTORE);
+            config.getSubStore(IRegistrationAuthority.PROP_NOTIFY_SUBSTORE);
 
-        IConfigStore rc = nc.getSubStore(mRA.PROP_CERT_ISSUED_SUBSTORE);
+        IConfigStore rc = nc.getSubStore(IRegistrationAuthority.PROP_CERT_ISSUED_SUBSTORE);
 
         getNotificationCompConfig(req, resp, rc);
 
@@ -224,9 +224,9 @@ public class RAAdminServlet extends AdminServlet {
 
         IConfigStore config = mRA.getConfigStore();
         IConfigStore nc =
-            config.getSubStore(mRA.PROP_NOTIFY_SUBSTORE);
+            config.getSubStore(IRegistrationAuthority.PROP_NOTIFY_SUBSTORE);
 
-        IConfigStore rc = nc.getSubStore(mRA.PROP_CERT_REVOKED_SUBSTORE);
+        IConfigStore rc = nc.getSubStore(IRegistrationAuthority.PROP_CERT_REVOKED_SUBSTORE);
 
         getNotificationCompConfig(req, resp, rc);
 
@@ -243,9 +243,9 @@ public class RAAdminServlet extends AdminServlet {
 
         IConfigStore config = mRA.getConfigStore();
         IConfigStore nc =
-            config.getSubStore(mRA.PROP_NOTIFY_SUBSTORE);
+            config.getSubStore(IRegistrationAuthority.PROP_NOTIFY_SUBSTORE);
 
-        IConfigStore riq = nc.getSubStore(mRA.PROP_REQ_IN_Q_SUBSTORE);
+        IConfigStore riq = nc.getSubStore(IRegistrationAuthority.PROP_REQ_IN_Q_SUBSTORE);
 
         Enumeration e = req.getParameterNames();
 
@@ -277,9 +277,9 @@ public class RAAdminServlet extends AdminServlet {
             IOException, EBaseException {
         IConfigStore config = mRA.getConfigStore();
         IConfigStore nc =
-            config.getSubStore(mRA.PROP_NOTIFY_SUBSTORE);
+            config.getSubStore(IRegistrationAuthority.PROP_NOTIFY_SUBSTORE);
 
-        IConfigStore riq = nc.getSubStore(mRA.PROP_REQ_IN_Q_SUBSTORE);
+        IConfigStore riq = nc.getSubStore(IRegistrationAuthority.PROP_REQ_IN_Q_SUBSTORE);
 
         //set rest of the parameters
         Enumeration e = req.getParameterNames();
@@ -354,9 +354,9 @@ public class RAAdminServlet extends AdminServlet {
             IOException, EBaseException {
         IConfigStore config = mRA.getConfigStore();
         IConfigStore nc =
-            config.getSubStore(mRA.PROP_NOTIFY_SUBSTORE);
+            config.getSubStore(IRegistrationAuthority.PROP_NOTIFY_SUBSTORE);
 
-        IConfigStore rc = nc.getSubStore(mRA.PROP_CERT_ISSUED_SUBSTORE);
+        IConfigStore rc = nc.getSubStore(IRegistrationAuthority.PROP_CERT_ISSUED_SUBSTORE);
 
         setNotificationCompConfig(req, resp, rc, mRA.getCertIssuedListener());
  
@@ -367,9 +367,9 @@ public class RAAdminServlet extends AdminServlet {
             IOException, EBaseException {
         IConfigStore config = mRA.getConfigStore();
         IConfigStore nc =
-            config.getSubStore(mRA.PROP_NOTIFY_SUBSTORE);
+            config.getSubStore(IRegistrationAuthority.PROP_NOTIFY_SUBSTORE);
 
-        IConfigStore rc = nc.getSubStore(mRA.PROP_CERT_REVOKED_SUBSTORE);
+        IConfigStore rc = nc.getSubStore(IRegistrationAuthority.PROP_CERT_REVOKED_SUBSTORE);
 
         setNotificationCompConfig(req, resp, rc, mRA.getCertRevokedListener());
     }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/GetEnableStatus.java b/pki/base/common/src/com/netscape/cms/servlet/cert/GetEnableStatus.java
index 48f0f417dee7946d6521227483529cdc6e3876b1..3a9ef70f0176bf04bdcf7b432bd5e70d36c14ec6 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/GetEnableStatus.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/GetEnableStatus.java
@@ -141,7 +141,7 @@ public class GetEnableStatus extends CMSServlet {
         IAuthSubsystem authSS = (IAuthSubsystem) CMS.getSubsystem(CMS.SUBSYSTEM_AUTH);
         IAuthManager authMgr = authSS.get(val);
         HashAuthentication mgr = (HashAuthentication) authMgr;
-        long timeout = mgr.DEFAULT_TIMEOUT / 1000;
+        long timeout = HashAuthentication.DEFAULT_TIMEOUT / 1000;
 
         header.addStringValue("timeout", "" + timeout);
         header.addStringValue("reqHost", reqHost);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java b/pki/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
index 9ce50fa0366df59cd1da9f1dfd349c4655486a8e..a703584f5a44bd7c7a2eb003370989ab5f8a250f 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
@@ -298,9 +298,9 @@ CMS.debug("*** formFile = "+formFile);
 
                         if (recentChanges.length() > 0)
                             recentChanges += "+";
-                        if (ip.isCRLUpdateInProgress() == ip.CRL_PUBLISHING_STARTED) {
+                        if (ip.isCRLUpdateInProgress() == ICRLIssuingPoint.CRL_PUBLISHING_STARTED) {
                             recentChanges += "Publishing CRL #" + ip.getCRLNumber();
-                        } else if (ip.isCRLUpdateInProgress() == ip.CRL_UPDATE_STARTED) {
+                        } else if (ip.isCRLUpdateInProgress() == ICRLIssuingPoint.CRL_UPDATE_STARTED) {
                             recentChanges += "Creating CRL #" + ip.getNextCRLNumber();
                         } else {  // ip.CRL_UPDATE_DONE
                             recentChanges += ip.getNumberOfRecentlyRevokedCerts() + ", " +
@@ -340,8 +340,8 @@ CMS.debug("*** formFile = "+formFile);
             header.addStringValue("master_host", masterHost);
             header.addStringValue("master_port", masterPort);
 
-            header.addStringValue("masterCRLIssuingPoint", mCA.PROP_MASTER_CRL);
-            ICRLIssuingPoint ip0 = mCA.getCRLIssuingPoint(mCA.PROP_MASTER_CRL);
+            header.addStringValue("masterCRLIssuingPoint", ICertificateAuthority.PROP_MASTER_CRL);
+            ICRLIssuingPoint ip0 = mCA.getCRLIssuingPoint(ICertificateAuthority.PROP_MASTER_CRL);
 
             if (ip0 != null) {
                 header.addStringValue("defaultAlgorithm", ip0.getSigningAlgorithm());
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java b/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java
index c2b2a19823716eb615f2600b090e50b7e8267eef..d000287bdad4eb3c612ecbce956d057c221e1c23 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java
@@ -321,7 +321,7 @@ public class UpdateCRL extends CMSServlet {
             }
         }
         if (crlIssuingPointId == null) {
-            crlIssuingPointId = mCA.PROP_MASTER_CRL;
+            crlIssuingPointId = ICertificateAuthority.PROP_MASTER_CRL;
         }
 
         ICRLIssuingPoint crlIssuingPoint = 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
index cb5b96560e19b5595fb6db12d0740791f1daa3de..22f221f21bec354eda5fd6fc66a4a68ef8a30443 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
@@ -877,7 +877,7 @@ public class CRSEnrollment extends HttpServlet
             CMS.debug(e);
 		  	throw new ServletException("Could not decode the request.");
 		  }
-		  crsResp.setMessageType(crsResp.mType_CertRep);
+		  crsResp.setMessageType(CRSPKIMessage.mType_CertRep);
                 
           // Create a new crypto context for doing all the crypto operations
           cx = new CryptoContext();
@@ -920,7 +920,7 @@ public class CRSEnrollment extends HttpServlet
           }
 
           // now run appropriate code, depending on message type
-          if (mt.equals(req.mType_PKCSReq)) {
+          if (mt.equals(CRSPKIMessage.mType_PKCSReq)) {
               CMS.debug("Processing PKCSReq");
               try {
                 // Check if there is an existing request. If this returns non-null,
@@ -944,7 +944,7 @@ public class CRSEnrollment extends HttpServlet
                   throw new ServletException("Couldn't handle CEP request (PKCSReq) - "+e.getMessage());
               }
           }
-          else if (mt.equals(req.mType_GetCertInitial)) {
+          else if (mt.equals(CRSPKIMessage.mType_GetCertInitial)) {
               CMS.debug("Processing GetCertInitial");
               cert = handleGetCertInitial(req,crsResp);
           } else {
@@ -957,7 +957,7 @@ public class CRSEnrollment extends HttpServlet
       catch (CRSInvalidSignatureException e) {
           CMS.debug("handlePKIMessage exception " + e);
           CMS.debug(e);
-          crsResp.setFailInfo(crsResp.mFailInfo_badMessageCheck);
+          crsResp.setFailInfo(CRSPKIMessage.mFailInfo_badMessageCheck);
       }
       catch (Exception e) {
           CMS.debug("handlePKIMessage exception " + e);
@@ -1059,8 +1059,8 @@ public class CRSEnrollment extends HttpServlet
       }
 
 	  if (foundRequest == null) {
-	  	resp.setFailInfo(resp.mFailInfo_badCertId);
-	  	resp.setPKIStatus(resp.mStatus_FAILURE);
+	  	resp.setFailInfo(CRSPKIMessage.mFailInfo_badCertId);
+	  	resp.setPKIStatus(CRSPKIMessage.mStatus_FAILURE);
 		return null;
 	  }
 
@@ -1198,8 +1198,8 @@ private void getDetailFromRequest(CRSPKIMessage req, CRSPKIMessage crsResp)
              PKCS10 p10 = (PKCS10)req.getP10();
 
              if (p10 == null) {
-			     crsResp.setFailInfo(crsResp.mFailInfo_badMessageCheck);
-		  	     crsResp.setPKIStatus(crsResp.mStatus_FAILURE);
+			     crsResp.setFailInfo(CRSPKIMessage.mFailInfo_badMessageCheck);
+		  	     crsResp.setPKIStatus(CRSPKIMessage.mStatus_FAILURE);
 			     throw new CRSFailureException("Failed to decode pkcs10 from CEP request");
 		      }
                 
@@ -1384,8 +1384,8 @@ private void getDetailFromRequest(CRSPKIMessage req, CRSPKIMessage crsResp)
 
 			  req.put(CERTINFO, certInfo);
       } catch (Exception e) {
-	     crsResp.setFailInfo(crsResp.mFailInfo_badMessageCheck);
-	     crsResp.setPKIStatus(crsResp.mStatus_FAILURE);
+	     crsResp.setFailInfo(CRSPKIMessage.mFailInfo_badMessageCheck);
+	     crsResp.setPKIStatus(CRSPKIMessage.mStatus_FAILURE);
 	     return ;
 	  }   // NEED TO FIX
   }
@@ -1527,8 +1527,8 @@ private void getDetailFromRequest(CRSPKIMessage req, CRSPKIMessage crsResp)
 			else {
                 CMS.debug("duplicated transaction id");
 		  		log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_ENROLL_FAIL_DUP_TRANS_ID"));	  
-		  		crsResp.setFailInfo(crsResp.mFailInfo_badRequest);
-		  		crsResp.setPKIStatus(crsResp.mStatus_FAILURE);
+		  		crsResp.setFailInfo(CRSPKIMessage.mFailInfo_badRequest);
+		  		crsResp.setPKIStatus(CRSPKIMessage.mStatus_FAILURE);
 		  		return null;
 			}
 		}
@@ -1539,8 +1539,8 @@ private void getDetailFromRequest(CRSPKIMessage req, CRSPKIMessage crsResp)
 	   if (authFailed) {
           CMS.debug("authentication failed");
 		  log(ILogger.LL_SECURITY, CMS.getLogMessage("CMSGW_ENROLL_FAIL_NO_AUTH"));	  
-		  crsResp.setFailInfo(crsResp.mFailInfo_badIdentity);
-		  crsResp.setPKIStatus(crsResp.mStatus_FAILURE);
+		  crsResp.setFailInfo(CRSPKIMessage.mFailInfo_badIdentity);
+		  crsResp.setPKIStatus(CRSPKIMessage.mStatus_FAILURE);
 
 
           // perform audit log
@@ -1571,14 +1571,14 @@ private void getDetailFromRequest(CRSPKIMessage req, CRSPKIMessage crsResp)
         CMS.debug("failed to decrypt the request " + e);
 		log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_ENROLL_FAIL_NO_DECRYPT_PKCS10",
 			e.getMessage()));	  
-		crsResp.setFailInfo(crsResp.mFailInfo_badMessageCheck);
-		crsResp.setPKIStatus(crsResp.mStatus_FAILURE);
+		crsResp.setFailInfo(CRSPKIMessage.mFailInfo_badMessageCheck);
+		crsResp.setPKIStatus(CRSPKIMessage.mStatus_FAILURE);
 	} catch (EBaseException e) {
         CMS.debug("operation failure - " + e);
 		log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_ERNOLL_FAIL_NO_NEW_REQUEST_POSTED",
 			e.getMessage()));	  
-		crsResp.setFailInfo(crsResp.mFailInfo_internalCAError);
-		crsResp.setPKIStatus(crsResp.mStatus_FAILURE);
+		crsResp.setFailInfo(CRSPKIMessage.mFailInfo_internalCAError);
+		crsResp.setPKIStatus(CRSPKIMessage.mStatus_FAILURE);
 	}
 	return null;
   }
@@ -1738,7 +1738,7 @@ throws EBaseException {
                  
      rq.processRequest(pkiReq);
 
-     crsResp.setPKIStatus(crsResp.mStatus_SUCCESS);
+     crsResp.setPKIStatus(CRSPKIMessage.mStatus_SUCCESS);
 
      mLogger.log(ILogger.EV_AUDIT, ILogger.S_OTHER,
                             AuditFormat.LEVEL,
@@ -1802,7 +1802,7 @@ throws EBaseException {
           } else {
             CMS.debug("CRSEnrollment: Found certificate");
           }
-          crsResp.setPKIStatus(crsResp.mStatus_SUCCESS);
+          crsResp.setPKIStatus(CRSPKIMessage.mStatus_SUCCESS);
           return cert;
         }
 
@@ -1822,22 +1822,22 @@ throws EBaseException {
                     return null;
                 }
                 issuedCert = issuedCertBuf[0];
-                crsResp.setPKIStatus(crsResp.mStatus_SUCCESS);
+                crsResp.setPKIStatus(CRSPKIMessage.mStatus_SUCCESS);
                             
             }
             else {  // status is not 'success' - there must've been a problem
                             
-                crsResp.setPKIStatus(crsResp.mStatus_FAILURE);
-                crsResp.setFailInfo(crsResp.mFailInfo_badAlg);
+                crsResp.setPKIStatus(CRSPKIMessage.mStatus_FAILURE);
+                crsResp.setFailInfo(CRSPKIMessage.mFailInfo_badAlg);
             }
         }
         else if (status.equals(RequestStatus.REJECTED_STRING) ||
                  status.equals(RequestStatus.CANCELED_STRING)) {
-                crsResp.setPKIStatus(crsResp.mStatus_FAILURE);
-                crsResp.setFailInfo(crsResp.mFailInfo_badRequest);
+                crsResp.setPKIStatus(CRSPKIMessage.mStatus_FAILURE);
+                crsResp.setFailInfo(CRSPKIMessage.mFailInfo_badRequest);
             }
         else  {   // not complete
-            crsResp.setPKIStatus(crsResp.mStatus_PENDING);
+            crsResp.setPKIStatus(CRSPKIMessage.mStatus_PENDING);
         }
 
         return issuedCert;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java b/pki/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java
index f990e0dba9d880d9df2318ab4260d4b5a6475173..1228a1e2421446e01861cefc2683c29823f8b2c2 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java
@@ -234,7 +234,7 @@ public class RecoverBySerial extends CMSServlet {
             header.addStringValue(OUT_ERROR,
                 CMS.getUserMessage(locale[0], "CMS_BASE_INTERNAL_ERROR", e.toString()));
         } finally {
-            ctx.releaseContext();
+            SessionContext.releaseContext();
         }
 
         // return status page
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/OCSPServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/OCSPServlet.java
index a55e6a7542a53b11e0bc20f22bb347fb0b9286a9..8a548840a7d08d12f11e4ac631bc369d8bd83b6b 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/OCSPServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/OCSPServlet.java
@@ -22,6 +22,7 @@ import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
 import java.io.InputStream;
 import java.io.OutputStream;
+import java.net.URLDecoder;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
@@ -120,7 +121,7 @@ public class OCSPServlet extends CMSServlet {
         String pathInfo =  httpReq.getPathInfo();
         java.net.URLDecoder urldecoder = new java.net.URLDecoder();
         if (pathInfo != null && pathInfo.indexOf('%') != -1) {
-          pathInfo = urldecoder.decode(pathInfo);
+          pathInfo = URLDecoder.decode(pathInfo);
         }
         CMS.debug("PathInfo=" + pathInfo);
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
index 9dbb01d254e0fe47c5f0970cb6297d6939e682f5..9a4b9cb86b3ce69795535657b643afb2d83ea1ec 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
@@ -805,7 +805,7 @@ profile, IRequest req) {
                    error_codes);
            }
         } finally {
-            context.releaseContext();
+            SessionContext.releaseContext();
         }
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
index 68a5de011a1ef038d96cf3b20e83e363b94961a8..335d8bd98f11a28b6fb00373a0fed7e382a875f7 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
@@ -1453,7 +1453,7 @@ public class ProfileSubmitServlet extends ProfileServlet {
             }
             throw eAudit1;
         } finally {
-            context.releaseContext();
+            SessionContext.releaseContext();
         }
         if (statsSub != null) {
           statsSub.endTiming("enrollment");
diff --git a/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java b/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
index 1ba71f65ed7db65f10f0a12cc6ac1294a1981139..e812cf10a5a6056af7dad81b06c9141bbcef81e9 100644
--- a/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
+++ b/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
@@ -1628,7 +1628,7 @@ public class CMSEngine implements ICMSEngine {
         while (t1.isAlive() && ((timeOut - startTime) < (60 * 1000))) //wait for 1 minute
         {
             try {
-                Thread.currentThread().sleep(5000); // sleep for 5 sec
+				Thread.sleep(5000); // sleep for 5 sec
             }catch (java.lang.InterruptedException e) {
             }
             timeOut = time.getTime();
diff --git a/pki/base/common/src/com/netscape/cmscore/apps/CommandQueue.java b/pki/base/common/src/com/netscape/cmscore/apps/CommandQueue.java
index e9f1f77aa8fb7f963c90bdecef7d40953fe1079a..5a4dd6fb885b64c67ea29f9a8cad31042a2361f1 100644
--- a/pki/base/common/src/com/netscape/cmscore/apps/CommandQueue.java
+++ b/pki/base/common/src/com/netscape/cmscore/apps/CommandQueue.java
@@ -62,7 +62,7 @@ public class CommandQueue implements Runnable, ICommandQueue {
         mShuttingDown = true;
         while (mCommandQueue.isEmpty() == false) {
             try {
-                Thread.currentThread().sleep(5 * 1000);
+				Thread.sleep(5 * 1000);
                 //gcProcess();
             } catch (Exception e) {
 
diff --git a/pki/base/common/src/com/netscape/cmscore/base/JDialogPasswordCallback.java b/pki/base/common/src/com/netscape/cmscore/base/JDialogPasswordCallback.java
index 2a7a1ef23b51858580ff5ff1d1bb4bbe20e448ef..cd6959676fcba391436663c920ed44c1a37b288d 100644
--- a/pki/base/common/src/com/netscape/cmscore/base/JDialogPasswordCallback.java
+++ b/pki/base/common/src/com/netscape/cmscore/base/JDialogPasswordCallback.java
@@ -68,12 +68,12 @@ public class JDialogPasswordCallback implements PasswordCallback {
     }
 
     private void resetGBC(GridBagConstraints gbc) {
-        gbc.gridx = gbc.RELATIVE;
-        gbc.gridy = gbc.RELATIVE;
+        gbc.gridx = GridBagConstraints.RELATIVE;
+        gbc.gridy = GridBagConstraints.RELATIVE;
         gbc.gridwidth = 1;
         gbc.gridheight = 1;
-        gbc.fill = gbc.HORIZONTAL;
-        gbc.anchor = gbc.CENTER;
+        gbc.fill = GridBagConstraints.HORIZONTAL;
+        gbc.anchor = GridBagConstraints.CENTER;
         gbc.ipadx = 0;
         gbc.ipady = 0;
         gbc.weightx = 0.0;
@@ -115,8 +115,8 @@ public class JDialogPasswordCallback implements PasswordCallback {
 
             warning.setForeground(Color.red);
             resetGBC(c);
-            c.anchor = c.NORTHWEST;
-            c.gridwidth = c.REMAINDER;
+            c.anchor = GridBagConstraints.NORTHWEST;
+            c.gridwidth = GridBagConstraints.REMAINDER;
             // Setting this to NULL causes nasty Exception stack traces
             // to be printed, although the program still seems to work
             //warning.setHighlighter(null);
@@ -131,8 +131,8 @@ public class JDialogPasswordCallback implements PasswordCallback {
         // to be printed, although the program still seems to work
         //label.setHighlighter(null);
         resetGBC(c);
-        c.anchor = c.NORTHWEST;
-        c.gridwidth = c.REMAINDER;
+        c.anchor = GridBagConstraints.NORTHWEST;
+        c.gridwidth = GridBagConstraints.REMAINDER;
         contentPane.add(label, c);
 
         ///////////////////////////////////////////////////
@@ -163,10 +163,10 @@ public class JDialogPasswordCallback implements PasswordCallback {
         pwField.setEchoChar('*');
         pwField.addActionListener(getPasswordListener);
         resetGBC(c);
-        c.anchor = c.CENTER;
-        c.fill = c.NONE;
+        c.anchor = GridBagConstraints.CENTER;
+        c.fill = GridBagConstraints.NONE;
         c.insets = new Insets(16, 0, 0, 0);
-        c.gridwidth = c.REMAINDER;
+        c.gridwidth = GridBagConstraints.REMAINDER;
         //c.gridy++;
         contentPane.add(pwField, c);
 
@@ -180,9 +180,9 @@ public class JDialogPasswordCallback implements PasswordCallback {
 
         ok.addActionListener(getPasswordListener);
         resetGBC(c);
-        c.fill = c.NONE;
-        c.anchor = c.CENTER;
-        c.gridheight = c.REMAINDER;
+        c.fill = GridBagConstraints.NONE;
+        c.anchor = GridBagConstraints.CENTER;
+        c.gridheight = GridBagConstraints.REMAINDER;
         c.insets = new Insets(10, 0, 0, 4);
         buttonPanel.add(ok, c);
 
@@ -196,18 +196,18 @@ public class JDialogPasswordCallback implements PasswordCallback {
 
         cancel.addActionListener(buttonListener);
         resetGBC(c);
-        c.fill = c.NONE;
-        c.anchor = c.CENTER;
+        c.fill = GridBagConstraints.NONE;
+        c.anchor = GridBagConstraints.CENTER;
         c.insets = new Insets(10, 4, 0, 0);
-        c.gridheight = c.REMAINDER;
-        c.gridwidth = c.REMAINDER;
+        c.gridheight = GridBagConstraints.REMAINDER;
+        c.gridwidth = GridBagConstraints.REMAINDER;
         buttonPanel.add(cancel, c);
 
         resetGBC(c);
-        c.fill = c.NONE;
-        c.anchor = c.CENTER;
-        c.gridwidth = c.REMAINDER;
-        c.gridheight = c.REMAINDER;
+        c.fill = GridBagConstraints.NONE;
+        c.anchor = GridBagConstraints.CENTER;
+        c.gridwidth = GridBagConstraints.REMAINDER;
+        c.gridheight = GridBagConstraints.REMAINDER;
         c.insets = new Insets(0, 0, 0, 0);
         contentPane.add(buttonPanel, c);
 
diff --git a/pki/base/common/src/com/netscape/cmscore/jobs/JobsScheduler.java b/pki/base/common/src/com/netscape/cmscore/jobs/JobsScheduler.java
index a37fcf93d5d839c86d37935d504d4fdfc16d45c4..5d1d3668ca8c1f33f88102de3b50defcc3b1243f 100644
--- a/pki/base/common/src/com/netscape/cmscore/jobs/JobsScheduler.java
+++ b/pki/base/common/src/com/netscape/cmscore/jobs/JobsScheduler.java
@@ -338,7 +338,7 @@ public class JobsScheduler implements Runnable, IJobsScheduler {
          * is it the right month?
          */
         Vector moy =
-            jcron.getItem(jcron.CRON_MONTH_OF_YEAR).getElements();
+            jcron.getItem(JobCron.CRON_MONTH_OF_YEAR).getElements();
 		
         int cronMoy = jcron.MOY_cal2cron(now);
 
@@ -350,8 +350,8 @@ public class JobsScheduler implements Runnable, IJobsScheduler {
         /**
          * is it the right date?
          */
-        Vector dow = jcron.getItem(jcron.CRON_DAY_OF_WEEK).getElements();
-        Vector dom = jcron.getItem(jcron.CRON_DAY_OF_MONTH).getElements();
+        Vector dow = jcron.getItem(JobCron.CRON_DAY_OF_WEEK).getElements();
+        Vector dom = jcron.getItem(JobCron.CRON_DAY_OF_MONTH).getElements();
 
         // can't be both empty
         if ((dow.isEmpty()) && dom.isEmpty()) {
@@ -369,7 +369,7 @@ public class JobsScheduler implements Runnable, IJobsScheduler {
         /**
          * is it the right hour?
          */
-        Vector hour = jcron.getItem(jcron.CRON_HOUR).getElements();
+        Vector hour = jcron.getItem(JobCron.CRON_HOUR).getElements();
 
         if (jcron.isElement(now.get(Calendar.HOUR_OF_DAY), hour) == false) {
             return false;
@@ -379,7 +379,7 @@ public class JobsScheduler implements Runnable, IJobsScheduler {
         /**
          * is it the right minute?
          */
-        Vector minute = jcron.getItem(jcron.CRON_MINUTE).getElements();
+        Vector minute = jcron.getItem(JobCron.CRON_MINUTE).getElements();
 
         if (jcron.isElement(now.get(Calendar.MINUTE), minute) == false) {
             return false;
diff --git a/pki/base/common/src/com/netscape/cmscore/ldapconn/LdapJssSSLSocketFactory.java b/pki/base/common/src/com/netscape/cmscore/ldapconn/LdapJssSSLSocketFactory.java
index 1b98988402170fce7248156ac551fb26146c4259..8aa59e30424b1834d0f86ac897a6f7f5e4a245e5 100644
--- a/pki/base/common/src/com/netscape/cmscore/ldapconn/LdapJssSSLSocketFactory.java
+++ b/pki/base/common/src/com/netscape/cmscore/ldapconn/LdapJssSSLSocketFactory.java
@@ -56,7 +56,8 @@ public class LdapJssSSLSocketFactory implements LDAPSSLSocketFactoryExt {
             s = new SSLSocket(host, port);
             s.setUseClientMode(true);
             s.enableSSL2(false);
-            s.enableSSL2Default(false);
+            //TODO Do we really want to set the default each time?
+            SSLSocket.enableSSL2Default(false);
             s.enableV2CompatibleHello(false);
 
             SSLHandshakeCompletedListener listener = null;
diff --git a/pki/base/common/src/com/netscape/cmscore/util/ProfileSubsystem.java b/pki/base/common/src/com/netscape/cmscore/util/ProfileSubsystem.java
index 77952d99ec88aca5559bdbd6ba41c6511c5af674..8c9016ded4b0f9085127739f23a1fd5d6403b3d8 100644
--- a/pki/base/common/src/com/netscape/cmscore/util/ProfileSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/util/ProfileSubsystem.java
@@ -208,7 +208,7 @@ public class ProfileSubsystem extends Frame implements ISubsystem, Runnable {
                 updateGeneralPanel();
                 updateThreadPanel();
                 // update every second
-                mMonitoring.sleep(1000);
+                Thread.sleep(1000);
             } catch (Exception e) {
             }
         }
@@ -286,8 +286,11 @@ class ThreadTableEvent extends MouseAdapter {
                         continue;
                     PrintStream err = System.err; 
 
-                    System.setErr(new PrintStream(outArray)); 
-                    threads[i].dumpStack();  // not working, print only current thread
+                    System.setErr(new PrintStream(outArray));
+                  //TODO remove.  This was being called on the array object
+                    //But you can only dump stack on the current thread
+                    Thread.dumpStack();  
+                    
                     System.setErr(err); 
                 }
 
diff --git a/pki/base/silent/src/ca/ConfigureCA.java b/pki/base/silent/src/ca/ConfigureCA.java
index 0b01e56eed95fe0a8cfbbc69308aae88aa4fa089..bac0d1abca04e6273ae47f26d6c95644a1968508 100644
--- a/pki/base/silent/src/ca/ConfigureCA.java
+++ b/pki/base/silent/src/ca/ConfigureCA.java
@@ -238,7 +238,7 @@ public class ConfigureCA {
             if (temp != null) {
                 int index = temp.indexOf(";");
 
-                hc.j_session_id = temp.substring(0, index);
+                HTTPClient.j_session_id = temp.substring(0, index);
                 st = true;
             }
 
@@ -1555,7 +1555,7 @@ public class ConfigureCA {
         // and then match the arguments
         String[] unmatched = null;
 
-        unmatched = parser.matchAllArgs(args, 0, parser.EXIT_ON_UNMATCHED);
+        unmatched = parser.matchAllArgs(args, 0, ArgParser.EXIT_ON_UNMATCHED);
 
         if (unmatched != null) {
             System.out.println("ERROR: Argument Mismatch");
diff --git a/pki/base/silent/src/common/CMSTask.java b/pki/base/silent/src/common/CMSTask.java
index c9b1aeab8720a368897bb7d2261eea14a58dbad2..1377127822d1dc17c8217cc39d058e7821031040 100644
--- a/pki/base/silent/src/common/CMSTask.java
+++ b/pki/base/silent/src/common/CMSTask.java
@@ -161,7 +161,7 @@ public class CMSTask {
         // and then match the arguments
         String[] unmatched = null;
 
-        unmatched = parser.matchAllArgs(args, 0, parser.EXIT_ON_UNMATCHED);
+        unmatched = parser.matchAllArgs(args, 0, ArgParser.EXIT_ON_UNMATCHED);
 
         if (unmatched != null) {
             System.out.println("ERROR: Argument Mismatch");
diff --git a/pki/base/silent/src/drm/ConfigureDRM.java b/pki/base/silent/src/drm/ConfigureDRM.java
index 72448f2425e88083c1c3c2ba467ee2f8b6551d38..3998dc6b3e558b16086897a86d736b8cbeb921f0 100644
--- a/pki/base/silent/src/drm/ConfigureDRM.java
+++ b/pki/base/silent/src/drm/ConfigureDRM.java
@@ -212,7 +212,7 @@ public class ConfigureDRM
 
         if (temp!=null) {
             int index = temp.indexOf(";");
-            hc.j_session_id = temp.substring(0,index);
+            HTTPClient.j_session_id = temp.substring(0,index);
             st = true;
         }
 
@@ -1267,7 +1267,7 @@ public class ConfigureDRM
 
         // and then match the arguments
         String [] unmatched = null;
-        unmatched = parser.matchAllArgs (args,0,parser.EXIT_ON_UNMATCHED);
+        unmatched = parser.matchAllArgs (args,0,ArgParser.EXIT_ON_UNMATCHED);
 
         if (unmatched!=null) {
             System.out.println("ERROR: Argument Mismatch");
diff --git a/pki/base/silent/src/http/HTTPClient.java b/pki/base/silent/src/http/HTTPClient.java
index b6067519e39a4bbf11ae024d5e4fd6d34aeadf59..7f8d390e2ae5481f3d37757dc789ba32abbb311f 100644
--- a/pki/base/silent/src/http/HTTPClient.java
+++ b/pki/base/silent/src/http/HTTPClient.java
@@ -126,10 +126,10 @@ public class HTTPClient implements SSLCertificateApprovalCallback
 	{
 		try
 		{
-			socket.enableSSL3Default(true);
+			SSLSocket.enableSSL3Default(true);
 			socket.enableSSL3(true);
 			socket.enableSSL2(false);
-			socket.enableSSL2Default(false);
+			SSLSocket.enableSSL2Default(false);
             socket.enableV2CompatibleHello(false);
 		}
 		catch(Exception e)
@@ -1292,7 +1292,7 @@ public class HTTPClient implements SSLCertificateApprovalCallback
 
 		// and then match the arguments
 		String [] unmatched = null;
-		unmatched = parser.matchAllArgs (args,0,parser.EXIT_ON_UNMATCHED);
+		unmatched = parser.matchAllArgs (args,0,ArgParser.EXIT_ON_UNMATCHED);
 
 		if(unmatched!=null)
 		{
diff --git a/pki/base/silent/src/ocsp/ConfigureOCSP.java b/pki/base/silent/src/ocsp/ConfigureOCSP.java
index e25822d88c70c2b847056369de924b2cbeb14989..7abcc256195049e92e8ea06ebdc84013ad485bac 100644
--- a/pki/base/silent/src/ocsp/ConfigureOCSP.java
+++ b/pki/base/silent/src/ocsp/ConfigureOCSP.java
@@ -189,7 +189,7 @@ public class ConfigureOCSP
 
         if (temp!=null) {
             int index = temp.indexOf(";");
-            hc.j_session_id = temp.substring(0,index);
+            HTTPClient.j_session_id = temp.substring(0,index);
             st = true;
         }
 
@@ -1132,7 +1132,7 @@ public class ConfigureOCSP
 
         // and then match the arguments
         String [] unmatched = null;
-        unmatched = parser.matchAllArgs (args,0,parser.EXIT_ON_UNMATCHED);
+        unmatched = parser.matchAllArgs (args,0,ArgParser.EXIT_ON_UNMATCHED);
 
         if (unmatched!=null) {
             System.out.println("ERROR: Argument Mismatch");
diff --git a/pki/base/silent/src/ra/ConfigureRA.java b/pki/base/silent/src/ra/ConfigureRA.java
index fef97ed1962114ccb697b805b284ae6c92ba6255..717f23ed88aec643cd15f24cec4b4bb79c7cf102 100644
--- a/pki/base/silent/src/ra/ConfigureRA.java
+++ b/pki/base/silent/src/ra/ConfigureRA.java
@@ -143,7 +143,7 @@ public class ConfigureRA
 		if(temp!=null)
 		{
 			int index = temp.indexOf(";");
-			hc.j_session_id = temp.substring(0,index);
+			HTTPClient.j_session_id = temp.substring(0,index);
 			st = true;
 		}
 
@@ -877,7 +877,7 @@ public class ConfigureRA
 
 		// and then match the arguments
 		String [] unmatched = null;
-		unmatched = parser.matchAllArgs (args,0,parser.EXIT_ON_UNMATCHED);
+		unmatched = parser.matchAllArgs (args,0,ArgParser.EXIT_ON_UNMATCHED);
 
 		if(unmatched!=null)
 		{
diff --git a/pki/base/silent/src/subca/ConfigureSubCA.java b/pki/base/silent/src/subca/ConfigureSubCA.java
index 3fe48dce278d29b770f103d7752f266d101a8dc2..541e717fcfed732de296cf264d4c0ddf63529ee4 100644
--- a/pki/base/silent/src/subca/ConfigureSubCA.java
+++ b/pki/base/silent/src/subca/ConfigureSubCA.java
@@ -195,7 +195,7 @@ public class ConfigureSubCA
         if (temp!=null)
         {
             int index = temp.indexOf(";");
-            hc.j_session_id = temp.substring(0,index);
+            HTTPClient.j_session_id = temp.substring(0,index);
             st = true;
         }
 
@@ -1187,7 +1187,7 @@ public class ConfigureSubCA
 
         // and then match the arguments
         String [] unmatched = null;
-        unmatched = parser.matchAllArgs (args,0,parser.EXIT_ON_UNMATCHED);
+        unmatched = parser.matchAllArgs (args,0,ArgParser.EXIT_ON_UNMATCHED);
 
         if (unmatched!=null) {
             System.out.println("ERROR: Argument Mismatch");
diff --git a/pki/base/silent/src/tks/ConfigureTKS.java b/pki/base/silent/src/tks/ConfigureTKS.java
index 0e593c9ccf6282bff8bea3a089cc030563d54b76..f422e9c7917233b4e06040dc70888eae4b7902dc 100644
--- a/pki/base/silent/src/tks/ConfigureTKS.java
+++ b/pki/base/silent/src/tks/ConfigureTKS.java
@@ -172,7 +172,7 @@ public class ConfigureTKS
 
         if (temp!=null) {
             int index = temp.indexOf(";");
-            hc.j_session_id = temp.substring(0,index);
+            HTTPClient.j_session_id = temp.substring(0,index);
             st = true;
         }
 
@@ -1083,7 +1083,7 @@ public class ConfigureTKS
 
         // and then match the arguments
         String [] unmatched = null;
-        unmatched = parser.matchAllArgs (args,0,parser.EXIT_ON_UNMATCHED);
+        unmatched = parser.matchAllArgs (args,0,ArgParser.EXIT_ON_UNMATCHED);
 
         if (unmatched!=null) {
             System.out.println("ERROR: Argument Mismatch");
diff --git a/pki/base/silent/src/tps/ConfigureTPS.java b/pki/base/silent/src/tps/ConfigureTPS.java
index 0b5aa41e184e82879cd790121096086e7f4d26d6..4ad7bf504272a37dfc0c00ca3993b2faf749d486 100644
--- a/pki/base/silent/src/tps/ConfigureTPS.java
+++ b/pki/base/silent/src/tps/ConfigureTPS.java
@@ -179,7 +179,7 @@ public class ConfigureTPS
 		if(temp!=null)
 		{
 			int index = temp.indexOf(";");
-			hc.j_session_id = temp.substring(0,index);
+			HTTPClient.j_session_id = temp.substring(0,index);
 			st = true;
 		}
 
@@ -1082,7 +1082,7 @@ public class ConfigureTPS
 
 		// and then match the arguments
 		String [] unmatched = null;
-		unmatched = parser.matchAllArgs (args,0,parser.EXIT_ON_UNMATCHED);
+		unmatched = parser.matchAllArgs (args,0,ArgParser.EXIT_ON_UNMATCHED);
 
 		if(unmatched!=null)
 		{
diff --git a/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java b/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
index 2cd13111c150c767b86c7907016b5cdf52dd13ff..b3c32ba6c2de3f6e0fd041369f6fce244bb17406 100644
--- a/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
+++ b/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
@@ -664,7 +664,7 @@ public class CryptoUtil {
         AlgorithmId sigAlgId = new AlgorithmId();
 
         info.set(X509CertInfo.ALGORITHM_ID, new
-                CertificateAlgorithmId(sigAlgId.get(alg)));
+                CertificateAlgorithmId(AlgorithmId.get(alg)));
         info.set(X509CertInfo.KEY, new CertificateX509Key(x509key));
         info.set(X509CertInfo.EXTENSIONS, new CertificateExtensions());
         return info;
diff --git a/pki/base/util/src/com/netscape/cmsutil/http/JssSSLSocketFactory.java b/pki/base/util/src/com/netscape/cmsutil/http/JssSSLSocketFactory.java
index ed4e95187a5e7281073b23bc04dbe5b7fb1b27f3..501886b545bef8b827625cc2571828de8b3fe8c8 100644
--- a/pki/base/util/src/com/netscape/cmsutil/http/JssSSLSocketFactory.java
+++ b/pki/base/util/src/com/netscape/cmsutil/http/JssSSLSocketFactory.java
@@ -121,7 +121,8 @@ public class JssSSLSocketFactory implements ISocketFactory {
 
             s.setUseClientMode(true);
             s.enableSSL2(false);
-            s.enableSSL2Default(false);
+            //TODO  Do we rally want to set the default each time?
+            SSLSocket.enableSSL2Default(false);
             s.enableV2CompatibleHello(false);
 
             SSLHandshakeCompletedListener listener = null;
diff --git a/pki/base/util/src/netscape/security/extensions/GenericASN1Extension.java b/pki/base/util/src/netscape/security/extensions/GenericASN1Extension.java
index 3e1743dd1b03cd8851ab546846e24fa965cadb5c..a36eb33606611638d5285f71d0353c33f5b7a9a6 100644
--- a/pki/base/util/src/netscape/security/extensions/GenericASN1Extension.java
+++ b/pki/base/util/src/netscape/security/extensions/GenericASN1Extension.java
@@ -192,7 +192,7 @@ implements CertAttrSet {
         NAME = name;
         OID = oid;
         mConfig = config;
-        this.pattern = pattern;
+        GenericASN1Extension.pattern = pattern;
         
         try {
             if (OIDMap.getName(tmpid) == null)
diff --git a/pki/base/util/src/netscape/security/pkcs/PKCS8Key.java b/pki/base/util/src/netscape/security/pkcs/PKCS8Key.java
index 91bb8b4708dab0f2747ce452734f73f2cc45cc34..b9e1f75ec8d93c4763217fd10579c1f28254e01f 100644
--- a/pki/base/util/src/netscape/security/pkcs/PKCS8Key.java
+++ b/pki/base/util/src/netscape/security/pkcs/PKCS8Key.java
@@ -312,9 +312,9 @@ public class PKCS8Key implements PrivateKey {
 
 
 	    BigInteger version = val.data.getInteger().toBigInteger();
-	    if (!version.equals(this.version)) {
+	    if (!version.equals(PKCS8Key.version)) {
 		throw new IOException("version mismatch: (supported: " + 
-				      this.version + ", parsed: " + 
+				      PKCS8Key.version + ", parsed: " + 
 				      version);
 	    }
 	    algid = AlgorithmId.parse (val.data.getDerValue ());
diff --git a/pki/base/util/src/netscape/security/x509/CRLDistributionPoint.java b/pki/base/util/src/netscape/security/x509/CRLDistributionPoint.java
index eb3e8a23022650f4c6d7bac16d8d600f14004a41..8c88ec7e7b95cde574fde599f0abc1b44baf284b 100644
--- a/pki/base/util/src/netscape/security/x509/CRLDistributionPoint.java
+++ b/pki/base/util/src/netscape/security/x509/CRLDistributionPoint.java
@@ -405,7 +405,7 @@ public static class Template implements ASN1Template {
                 try {
                     DerValue dv = new DerValue(distPoint.getEncoded());
                     //toFile("encodedFullName", distPoint.getEncoded());
-                    dv.resetTag(dv.tag_Sequence);
+                    dv.resetTag(DerValue.tag_Sequence);
                     cdp.setFullName( new GeneralNames(dv) );
                 } catch(GeneralNamesException e) {
                     throw new InvalidBERException( "fullName: " + e.toString());
@@ -435,7 +435,7 @@ public static class Template implements ASN1Template {
          :     }
          :   }
                      */
-                    dv.resetTag(dv.tag_Set);
+                    dv.resetTag(DerValue.tag_Set);
                     cdp.setRelativeName( new RDN(dv) );
                 } catch(IOException e) {
                     throw new InvalidBERException( "relativeName " +
@@ -464,7 +464,7 @@ public static class Template implements ASN1Template {
             }
             try {
                 DerValue dv = new DerValue( issuer.getEncoded() );
-                dv.resetTag(dv.tag_Sequence);
+                dv.resetTag(DerValue.tag_Sequence);
                 cdp.setCRLIssuer( new GeneralNames(dv) );
             } catch(GeneralNamesException e) {
                 throw new InvalidBERException( "cRLIssuer " + e.toString() );
diff --git a/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java b/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
index b7e62e0f038a76ba7df91005c560d040ab802b53..511843319cced983a33d853861c7cb7e3cd0faec 100644
--- a/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
+++ b/pki/base/util/src/netscape/security/x509/IssuingDistributionPointExtension.java
@@ -384,14 +384,14 @@ public class IssuingDistributionPointExtension extends Extension
         generalNames = new GeneralNames();
         generalNames.addElement(dn);
         idp.setFullName(generalNames);
-        idpExt.set(idpExt.ISSUING_DISTRIBUTION_POINT, idp);
+        idpExt.set(IssuingDistributionPointExtension.ISSUING_DISTRIBUTION_POINT, idp);
 
         // DN + reason
         BitArray ba = new BitArray(5, new byte[] {(byte)0x28} );
         idp = new IssuingDistributionPoint();
         idp.setFullName(generalNames);
         idp.setOnlySomeReasons(ba);
-        idpExt.set(idpExt.ISSUING_DISTRIBUTION_POINT, idp);
+        idpExt.set(IssuingDistributionPointExtension.ISSUING_DISTRIBUTION_POINT, idp);
         
 
         // relative DN + reason + crlIssuer
@@ -402,7 +402,7 @@ public class IssuingDistributionPointExtension extends Extension
         idp.setOnlyContainsCACerts(true);
         idp.setOnlyContainsUserCerts(true);
         idp.setIndirectCRL(true);
-        idpExt.set(idpExt.ISSUING_DISTRIBUTION_POINT, idp);
+        idpExt.set(IssuingDistributionPointExtension.ISSUING_DISTRIBUTION_POINT, idp);
 
         idpExt.setCritical(false);
         idpExt.encode(bos);
-- 
1.7.7

